Can I still open projects that use the free plugins from Universe 1.6?


Yes, all projects using the free plugins will work with the Legacy plugins once they are installed.

NOTE FOR FINAL CUT PRO X USERS: Some Universe plugins may fail to apply when loading older FCP X projects. If you will be using a project that has plugins from 1.6 or before that you need to load, you will want to download and install this file to get the original versions of these plugins again. This will mean you will see older Universe plugins alongside newer 2.0 versions, which now all have the uni. prefix in front of their name. Going forward, we advise using the newer 2.0 versions.

Have more questions? Submit a request

Comments